{
  "openapi": "3.0.2",
  "info": {
    "title": "FastAPI",
    "version": "0.1.0"
  },
  "paths": {
    "/": {
      "get": {
        "summary": "Root",
        "operationId": "root__get",
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {}
              }
            }
          }
        }
      }
    },
    "/ner/{item_id}": {
      "get": {
        "summary": "Read Item",
        "operationId": "read_item_ner__item_id__get",
        "parameters": [
          {
            "required": true,
            "schema": {
              "title": "Item Id"
            },
            "name": "item_id",
            "in": "path"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseNerModel"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/oie/{item_id}": {
      "get": {
        "summary": "Read Item",
        "operationId": "read_item_oie__item_id__get",
        "parameters": [
          {
            "required": true,
            "schema": {
              "title": "Item Id"
            },
            "name": "item_id",
            "in": "path"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseOIEModel"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/nre/{item_id}": {
      "get": {
        "summary": "Read Item",
        "operationId": "read_item_nre__item_id__get",
        "parameters": [
          {
            "required": true,
            "schema": {
              "title": "Item Id"
            },
            "name": "item_id",
            "in": "path"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseNREModel"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/summary/{item_id}": {
      "get": {
        "summary": "Read Item",
        "operationId": "read_item_summary__item_id__get",
        "parameters": [
          {
            "required": true,
            "schema": {
              "title": "Item Id"
            },
            "name": "item_id",
            "in": "path"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ResponseSummaryModel"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/ner": {
      "post": {
        "summary": "Ner",
        "operationId": "ner_ner_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "title": "Input Json",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/InputElement"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BaseResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/oie": {
      "post": {
        "summary": "Oie",
        "operationId": "oie_oie_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "title": "Input Json",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/InputElement"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BaseResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/nre": {
      "post": {
        "summary": "Oie",
        "operationId": "oie_nre_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "title": "Input Json",
                "type": "array",
                "items": {
                  "$ref": "#/components/schemas/InputElementNRE"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BaseResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/summary/short": {
      "post": {
        "summary": "Short Summary",
        "operationId": "short_summary_summary_short_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "title": "Input Json",
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BaseResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    },
    "/summary/long": {
      "post": {
        "summary": "Long Summary",
        "operationId": "long_summary_summary_long_post",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "title": "Input Json",
                "type": "array",
                "items": {
                  "type": "string"
                }
              }
            }
          },
          "required": true
        },
        "responses": {
          "201": {
            "description": "Successful Response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BaseResponse"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/HTTPValidationError"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "BaseResponse": {
        "title": "BaseResponse",
        "required": [
          "id",
          "status"
        ],
        "type": "object",
        "properties": {
          "id": {
            "title": "Id",
            "type": "integer"
          },
          "status": {
            "title": "Status",
            "type": "string"
          }
        }
      },
      "EntityNerResponseModel": {
        "title": "EntityNerResponseModel",
        "required": [
          "entity_group",
          "word",
          "start",
          "end",
          "score"
        ],
        "type": "object",
        "properties": {
          "entity_group": {
            "title": "Entity Group",
            "type": "string"
          },
          "word": {
            "title": "Word",
            "type": "string"
          },
          "start": {
            "title": "Start",
            "type": "integer"
          },
          "end": {
            "title": "End",
            "type": "integer"
          },
          "score": {
            "title": "Score",
            "type": "number"
          }
        }
      },
      "EntityOIEResponseModel": {
        "title": "EntityOIEResponseModel",
        "required": [
          "score",
          "relation",
          "arg1",
          "arg2"
        ],
        "type": "object",
        "properties": {
          "score": {
            "title": "Score",
            "type": "string"
          },
          "relation": {
            "title": "Relation",
            "type": "string"
          },
          "arg1": {
            "title": "Arg1",
            "type": "string"
          },
          "arg2": {
            "title": "Arg2",
            "type": "string"
          }
        }
      },
      "HTTPValidationError": {
        "title": "HTTPValidationError",
        "type": "object",
        "properties": {
          "detail": {
            "title": "Detail",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ValidationError"
            }
          }
        }
      },
      "InputElement": {
        "title": "InputElement",
        "required": [
          "lang",
          "text"
        ],
        "type": "object",
        "properties": {
          "lang": {
            "title": "Lang",
            "type": "string"
          },
          "text": {
            "title": "Text",
            "type": "string"
          }
        }
      },
      "InputElementNRE": {
        "title": "InputElementNRE",
        "required": [
          "text",
          "h",
          "t"
        ],
        "type": "object",
        "properties": {
          "text": {
            "title": "Text",
            "type": "string"
          },
          "h": {
            "$ref": "#/components/schemas/NREHType"
          },
          "t": {
            "$ref": "#/components/schemas/NRETType"
          }
        }
      },
      "NREHType": {
        "title": "NREHType",
        "required": [
          "pos"
        ],
        "type": "object",
        "properties": {
          "pos": {
            "title": "Pos",
            "type": "string"
          }
        }
      },
      "NRETType": {
        "title": "NRETType",
        "required": [
          "pos"
        ],
        "type": "object",
        "properties": {
          "pos": {
            "title": "Pos",
            "type": "string"
          }
        }
      },
      "ResponseNREModel": {
        "title": "ResponseNREModel",
        "required": [
          "progression"
        ],
        "type": "object",
        "properties": {
          "progression": {
            "title": "Progression",
            "type": "string"
          },
          "result": {
            "title": "Result",
            "type": "array",
            "items": {
              "type": "array",
              "items": [
                {
                  "type": "string"
                },
                {
                  "type": "number"
                }
              ]
            }
          }
        }
      },
      "ResponseNerModel": {
        "title": "ResponseNerModel",
        "required": [
          "progression"
        ],
        "type": "object",
        "properties": {
          "progression": {
            "title": "Progression",
            "type": "string"
          },
          "result": {
            "title": "Result",
            "type": "array",
            "items": {
              "type": "array",
              "items": {
                "$ref": "#/components/schemas/EntityNerResponseModel"
              }
            }
          }
        }
      },
      "ResponseOIEModel": {
        "title": "ResponseOIEModel",
        "required": [
          "progression"
        ],
        "type": "object",
        "properties": {
          "progression": {
            "title": "Progression",
            "type": "string"
          },
          "result": {
            "title": "Result",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/EntityOIEResponseModel"
            }
          }
        }
      },
      "ResponseSummaryModel": {
        "title": "ResponseSummaryModel",
        "required": [
          "progression"
        ],
        "type": "object",
        "properties": {
          "progression": {
            "title": "Progression",
            "type": "string"
          },
          "result": {
            "title": "Result",
            "type": "array",
            "items": {
              "type": "string"
            }
          }
        }
      },
      "ValidationError": {
        "title": "ValidationError",
        "required": [
          "loc",
          "msg",
          "type"
        ],
        "type": "object",
        "properties": {
          "loc": {
            "title": "Location",
            "type": "array",
            "items": {
              "anyOf": [
                {
                  "type": "string"
                },
                {
                  "type": "integer"
                }
              ]
            }
          },
          "msg": {
            "title": "Message",
            "type": "string"
          },
          "type": {
            "title": "Error Type",
            "type": "string"
          }
        }
      }
    }
  }
}